# Administration Reference

## vos changeaddr

Purpose

Changes or removes a file server machine's entry in the VLDB

Synopsis

    vos changeaddr -oldaddr <original IP address>  [-newaddr <new IP address>]
                   [-remove]  [-cell <cell name>]  [-noauth]  [-localauth]
                   [-verbose]  [-help]

    vos ch -o <original IP address>  [-ne <new IP address>]  [-r]
           [-c <cell name>]  [-no]  [-l]  [-v]  [-h]

Description

The vos changeaddr command removes a server entry from the Volume Location Database (VLDB) when the -remove flag is combined with the -oldaddr argument. There must be no VLDB entries that list the machine as a site for any version of a volume (if necessary, use the vos move or vos remove command to more or remove volumes). It is appropriate to remove a VLDB server entry when removing the corresponding file server machine from service; this is the only recommended use of the command.

To display all VLDB server entries, use the vos listaddrs command.

Cautions

Combining the command's -oldaddr and -newaddr arguments is no longer the appropriate way to change the IP address registered for a file server machine. Furthermore, if a machine is multihomed and its server entry includes several addresses, then the address specified with the -newaddr argument replaces all of the addresses currently listed in the server entry that includes the address specified by the -oldaddr argument. This effectively makes the machine single-homed with respect to AFS operations, which is probably not the desired result.

The recommended method for changing the IP addresses in a server entry is instead to restart the fs process group (which includes the File Server) after using the utilities provided by the operating system to reconfigure the machine's network interfaces. For a description of how the File Server constructs and registers a list of its network interfaces in the VLDB, see the reference page for the sysid file.

If, counter to recommended usage, the command is used to change the IP address in a server entry, it does not also change the names of machine entries in the Protection Database. Operations fail when they refer to a protection group that has an obsolete IP address in it. Use the pts rename command to change the names of machine entries that correspond to the addresses changed with this command. Changing the address of a database server machine also requires updating the client and server versions of the CellServDB file on every machine.

Options

-oldaddr
  Specifies the IP address currently registered for the file server machine in the VLDB server entry. If there are multiple addresses registered for a multihomed machine, use any of them to identify the server entry.

-newaddr
  Specifies the new IP address that replaces all currently registered addresses.

-remove
  Removes from the VLDB the server entry that includes the address specified by the -oldaddr argument.

-cell
  Names the cell in which to run the command. Do not combine this argument with the -localauth flag. For more details, see the introductory vos reference page.

-noauth
  Assigns the unprivileged identity anonymous to the issuer. Do not combine this flag with the -localauth flag. For more details, see the introductory vos reference page.

-localauth
  Constructs a server ticket using a key from the local /usr/afs/etc/KeyFile file. The vos command interpreter presents it to the Volume Server and Volume Location Server during mutual authentication. Do not combine this flag with the -cell argument or -noauth flag. For more details, see the introductory vos reference page.

-verbose
  Produces on the standard output stream a detailed trace of the command's execution. If this argument is omitted, only warnings and error messages appear.

-help
  Prints the online help for this command. All other valid options are ignored.

Examples

The following command removes the VLDB server entry that includes the IP address 192.12.107.214.

       % vos changeaddr -oldaddr 192.12.107.214 -remove

Privilege Required

Issuer must be listed in the /usr/afs/etc/UserList file on the machine specified with the -oldaddr argument and on each database server machine.

Related Information

CellServDB (client version)

CellServDB (server version)

UserList

sysid

fileserver

pts rename

vos

vos listaddrs

© IBM Corporation 2000. All Rights Reserved